Subject: bug#44983: Truncate long lines of grep output

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Apr 2022 13:09:12 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sat, 30 Apr 2022 11:56:11 +0200
> Cc: [email-masked], Juri Linkov <[email-masked]>
> 
> But I guess the real question here is still why we're font-locking
> invisible text.

We are not.  The display engine will never call jit-lock on a region
that starts in invisible text.  But a region that starts in visible
text can end in invisible text, and font-lock doesn't pay attention to
invisibility spec, AFAIR, it just looks at the buffer text
disregarding everything else.

For me, the more important question is: why the problem didn't
disappear when you turned off font-lock-mode in the offending buffer.
And I think I know why: you need to turn off jit-lock-mode as well.